#if !defined(ISSHRT_H)
#define ISSHRT_H

#if defined(__COMPILER_KCC__)
#define HAVE_SHORT_NAMES	1
#endif

#if defined(HAVE_SHORT_NAMES)
#define __STDC_VERSION__	0	/* to eliminate compiler warnings */
/* Shorten names that are not unique in the first six characters,
   ignoring lettercase: use an initial underscore, then four letters
   common to all three precisions, then a suffix of empty, f, or l */

#define is_abs_safe _isab
#define is_add_safe _isad
#define is_div_safe _isdi
#define is_mul_safe _ismu
#define is_neg_safe _isne
#define is_rem_safe _isre
#define is_sub_safe _issb

#define is_abs_safel _isabl
#define is_add_safel _isadl
#define is_div_safel _isdil
#define is_mul_safel _ismul
#define is_neg_safel _isnel
#define is_rem_safel _isrel
#define is_sub_safel _issbl

#define is_abs_safell _isabm
#define is_add_safell _isadm
#define is_div_safell _isdim
#define is_mul_safell _ismum
#define is_neg_safell _isnem
#define is_rem_safell _isrem
#define is_sub_safell _issbm

#endif

#endif /* !defined(ISSHRT_H) */
